## org.hibernate
Class UnknownProfileException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.UnknownProfileException

All Implemented Interfaces:
  Serializable

    public class UnknownProfileException

extends HibernateException

Used to indicate a request against an unknown profile name.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`UnknownProfileException(String name)`

Method Summary
`String` `getName()` The unknown fetch profile name.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownProfileException

    public UnknownProfileException(String name)

Method Detail

### getName

    public String getName()

  The unknown fetch profile name.

  Returns:
    The unknown fetch profile name.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.